# Contributing to Looking Glass

Thanks for taking the time to contribute to Looking Glass! Please read through this document to ensure that your contribution is in compliance with our guidelines. We are excited to have you contribute to our project!

## Conventional Commits

We follow a subset of the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) specification, defined below, for our commit messages. Please ensure that your commit messages are in the correct format.

### Acceptable types

- `feat`: A new feature (minor)
- `fix`: A bug fix (patch)
- `refactor`: A code change that rewrites/restructures code, without changing behavior
- `perf`: A code change that improves performance without changing behavior (variation of `refactor`)
- `style`: A code change that does not affect the meaning of the code (white-space, formatting, missing semi-colons, etc)
- `test`: Adding missing tests or correcting existing tests
- `docs`: Documentation only changes
- `ci`: Changes to our CI configuration files and scripts
- `chore`: Other changes that don't modify src or test files, such as updating .gitignore or updating dependencies

### Acceptable scopes

_This section is a Work in Progress, and will change as the project matures._  
Scopes are optional! If your commit does not fit into any of the scopes listed below, you can omit the scope.  
Please do not use issue identifiers as scopes.

- `repo`: changes to the repository, such as the README, CONTRIBUTING, or LICENSE files
- `tooling`: changes to development tooling like dotnet tools
- `deps`: changes to dependencies, such as updating dependencies or removing unused dependencies
- `renovate`: changes to the Renovate configuration
